2018-12-18

[] PukiWiki 1.5.1でログインできない

WebサーバーPHPを5.4から7.2にアップデートした。

PukiWikiも最新の1.5.1に変更した。

https://pukiwiki.osdn.jp/?PukiWiki/Download/1.5.1

 

ページの編集にはパスワードをかけて、ログインするようにしてある。

PHPPukiWikiを同時にアップデートしたら、編集画面にログインできなくなった。

 

原因を調べて、修正してみよう。

さて、どこから手を付けるべきか?

  • anond:20181218000454

    うんち

  • まずは公式ドキュメントを読んでみる

    PukiWikiのバージョンアップに伴う変更点を確認してみる。 https://pukiwiki.osdn.jp/?PukiWiki/Download/1.5.1#ifdf9221 ユーザー管理機能および認証方法の拡張 Sessionを利用したForm認証が追加され、デフ...

  • (PHP) XAMPP Portableの利用

    PHP7のテスト環境として「XAMPP」のポータブル版を利用してみよう。 https://www.apachefriends.org/jp/index.html   今見たら、最新のバージョンはPHP7.3.0だったが、今使ってるPHPは7.2なので、1つ古...

  • (PHP) PHPのsession設定を修正しました。

    WebサーバーのPHPをバージョン5.4から7.2に上げたら、PukiWiki1.5.1が正常に動作しなくなりましたが、先ほど問題が解決しました。   昨夜の調査で、PHPのセッション周りにエラーがあること...

記事への反応(ブックマークコメント)

アーカイブ ヘルプ
ログイン ユーザー登録
ようこそ ゲスト さん